# Create a Text Replacement

```
POST 
/text-replacements
```

Creates a Text Replacement for the current user.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The created Text Replacement.

## Operation spec

```json
{
  "method": "post",
  "path": "/text-replacements",
  "operationId": "create-user-text-replacement",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "trigger",
            "replacement"
          ],
          "properties": {
            "trigger": {
              "type": "string",
              "description": "The text which, if present in the dictation, will be automatically replaced with the replacement text.",
              "example": "Normal blood pressure"
            },
            "replacement": {
              "type": "string",
              "description": "The replacement text for this Text Replacement. If the Text Replacement's trigger is detected during dictation, this text will be automatically applied to the dictation result.",
              "example": "- Blood Pressure: 120/80 mmHg — within normal limits.\\n- No orthostatic change detected."
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The created Text Replacement.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "Text replacement is a concise abbreviation (`trigger`) that unfolds into a predefined, extended text (`replacement`) during dictation.",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "description": "Unique identifier of the Text Replacement."
              },
              "trigger": {
                "type": "string",
                "description": "The text which, if present in the dictation, will be automatically replaced with the replacement text.",
                "example": "Normal blood pressure"
              },
              "replacement": {
                "type": "string",
                "description": "The replacement text for this Text Replacement. If the Text Replacement's trigger is detected during dictation, this text will be automatically applied to the dictation result.",
                "example": "- Blood Pressure: 120/80 mmHg — within normal limits.\\n- No orthostatic change detected."
              }
            },
            "required": [
              "id",
              "trigger",
              "replacement"
            ],
            "title": "text_replacement"
          }
        }
      }
    }
  }
}
```
